const app = getApp()
import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
import $http from './../../API/http'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
  },
  onLoad(query) {
    console.log(query.visitorId, 'query')
    dd.setNavigationBar({
      title: '手机通讯录',
    });
  },
  onReady() {
    const _that = this
    dd.choosePhonebook({
      multiple: false, //是否多选： true多选 false单选； 默认true
      maxUsers: 1, //人数限制，当multiple为true才生效，可选范围1-1500
      success: function(res) {
         if (_that.data.query == 0) {
          _that.store.data.visitorName = res[0].name
          _that.store.data.selectVisitors = false
          _that.update()
        }
        else {
          _that.store.data.visitorPeer[_that.data.query - 1] = res[0].name
          _that.store.data.selectVisitors = false
          _that.update()
        }
        dd.navigateBack({
          delta: 1
        })
      },
      fail: function(err) {
      }
    });
    // dd.chooseExternalUsers({
    //   multiple: false, //是否多选  true多选，false单选，默认是单选
    //   limitTips: "超出了",
    //   maxUsers: 1, //默认不限制
    //   success: function(res) {
    //     _that.store.data.visitorName = res[0].name
    //     _that.store.data.selectVisitors = false
    //     _that.update()
    //     dd.navigateBack({
    //       delta: 1
    //     })
    //   },
    //   fail: function(err) {
    //   }
    // });


  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
